Bug 1301122 - tesseract-langpack to tesseract merge made langpacks nonfuctional
tesseract-langpack to tesseract merge made langpacks nonfuctional
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tesseract (Show other bugs)
rawhide
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: Sandro Mani
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1314406
  Show dependency treegraph
 
Reported: 2016-01-22 11:22 EST by Parag Nemade
Modified: 2016-03-03 09:06 EST (History)
2 users (show)

See Also:
Fixed In Version: tesseract-3.04.00-3.fc23 tesseract-3.04.00-3.el6 tesseract-3.04.00-3.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-03 15:50:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
langpacks guidelines patch (8.06 KB, patch)
2016-01-25 07:54 EST, Parag Nemade
no flags Details | Diff
langpacks guidelines patch (9.52 KB, patch)
2016-01-25 09:57 EST, Parag Nemade
no flags Details | Diff

  None (edit)
Description Parag Nemade 2016-01-22 11:22:11 EST
Description of problem:
I specifically given patch to make sure langpacks work for tesseract in bug https://bugzilla.redhat.com/show_bug.cgi?id=978779

I am sad that this goes unnoticed. I request to revert the merge change which added macro based subpackaging in tesseract.spec

Please add individual subpackages with virtual provides to follow langpacks searching and installing for langpacks plugin as well as follow langpacks naming guidelines https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Addon_Packages_.28langpacks.29


Version-Release number of selected component (if applicable):
tesseract-3.04.00-2.fc24

How reproducible:
always

Steps to Reproduce:
1. dnf langinfo it
2. this will not show tesseract package
3.

Actual results:
there are no virtual provides now in tesseract package.

Expected results:
Bring back tesseract virtual packages as proposed in https://bugzilla.redhat.com/show_bug.cgi?id=978779

Additional info:
Also, I want to note that its bad to just blindly merge master changes to all other branches. Generally packages should not get merged in released stable Fedora.
Comment 1 Sandro Mani 2016-01-22 11:37:30 EST
Hi

I'm the author of that change.

First, couldn't the requested virtual provides just be added manually to the existing approach? I.e. extend the macro to also take the ISO639-1 language code as an argument and add the corresponding virtual provides. The reason for the macro based approach is that it considerably decreases the maintenance burden - the number of languages available upstream has increased drammatically. I don't see the advantage of having an extra src.rpm for the langpacks, and I definitely would not want to write out the subpackage entries for all the langpacks.

Second, I'm not sure why you say that changes were blindly merged from master to all other branches. This work was introduced for F23 and is available only in F23 onwards, plus as newpackage in el6 and el7.
Comment 2 Parag Nemade 2016-01-22 11:44:38 EST
I am okay with any way to implement virtual provides.

Oh I take back then what I said. I just didn't like the way virtual provides removed and then just looking at koji I saw same n-v-r built for F23+ and EPEL branches and concluded that master changes backported to EPEL as well.
Comment 3 Sandro Mani 2016-01-22 11:50:51 EST
Ok, I'll add the virtual provides then.

I suppose in the case of

%lang_subpkg aze Azerbaijani
%lang_subpkg aze_cyrl "Azerbaijani (Cyrilic)"

I'd use az and az_cyrl ?
Comment 4 Parag Nemade 2016-01-22 11:52:29 EST
I also want to add here we are currently working on using RPM weak dependencies to enhance the langpacks installation by adding Supplements: tag.

I may open one more bugzilla for adding Supplements tag then. We are waiting for approval of https://fedorahosted.org/fpc/ticket/593.
Comment 5 Parag Nemade 2016-01-22 12:05:13 EST
I think its good to provide langpack subpackages for only those languages where glibc locale is available. E.g. See /usr/share/i18n/locales.

I am not sure how can we use other languages that tesseract is providing where glibc locale is not available actually.

Yes use az and az_cyrl. But az_cyrl is not locale code.

I will look more into this and can provide you patch on Monday. I need to check what changes happened from 3.02 for languages.
Comment 6 Sandro Mani 2016-01-22 13:09:05 EST
Ok, I'll wait for your patch then. Thanks!
Comment 7 Parag Nemade 2016-01-25 07:54 EST
Created attachment 1117977 [details]
langpacks guidelines patch

If this patch looks okay to you, then please apply it to tesseract package git.
Comment 8 Sandro Mani 2016-01-25 07:58:04 EST
The only question I have: are there consequences in having duplicate provides? I.e.

%lang_subpkg deu_frak deu_frak "German (Fraktur)"

would have an implicit and an explicit provide on tesseract-langpack-deu_frak

Otherwise looks good, many thanks!
Comment 9 Parag Nemade 2016-01-25 09:57 EST
Created attachment 1118062 [details]
langpacks guidelines patch

Does this looks good now compared to previous patch?

There are few messages when you do fedpkg local but I can't think any solution to silent them as langcode macro need to be defined at top in lang_subpkg() macro.
Comment 10 Fedora Update System 2016-01-25 16:49:50 EST
tesseract-3.04.00-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-362b4a67ec
Comment 11 Fedora Update System 2016-01-25 16:49:50 EST
tesseract-3.04.00-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-37131e3b31
Comment 12 Fedora Update System 2016-01-25 16:49:55 EST
tesseract-3.04.00-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f5743f41b4
Comment 13 Fedora Update System 2016-01-25 22:49:00 EST
tesseract-3.04.00-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-362b4a67ec
Comment 14 Parag Nemade 2016-01-25 22:51:40 EST
smani,
   You are awesome. Thank you for accepting my patch.
Comment 15 Fedora Update System 2016-01-25 22:52:41 EST
tesseract-3.04.00-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f5743f41b4
Comment 16 Fedora Update System 2016-01-25 23:26:57 EST
tesseract-3.04.00-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-37131e3b31
Comment 17 Fedora Update System 2016-02-03 15:50:51 EST
tesseract-3.04.00-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2016-02-10 06:03:03 EST
tesseract-3.04.00-3.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2016-02-10 06:13:14 EST
tesseract-3.04.00-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.